;    HiAsm
Global ExplorerTree, ExplorerList, UseG, UseGL

; ProcedureDLL AttachProcess(Instance)
; EndProcedure

; ProcedureDLL DetachProcess(Instance)
;    FreeGadget(ExplorerTree)
; EndProcedure

;   ExplorerTree   (   , ) 
ProcedureDLL.l CreateExplorerTree(id.i, hwnd, Width, Height, Flags.i, Path.s)
UseG = UseGadgetList(hwnd)
tmp = ContainerGadget(#PB_Any, 0, 0, Width, Height)
   ExplorerTree = ExplorerTreeGadget(id, 0, 0, Width, Height, Path, Flags)
CloseGadgetList()
SetParent_(GadgetID(id), hwnd)
HideGadget(tmp, 1)
ResizeGadget(id, 0, 0, Width, Height)
;    ExplorerTree  
ProcedureReturn GadgetID(id)
EndProcedure

;   ExplorerList  
ProcedureDLL.l CreateExplorerList(id.i, hwnd, Width, Height, Flags.i, Attribute.i, Path.s)
UseGL = UseGadgetList(hwnd)
tmp = ContainerGadget(#PB_Any, 0, 0, Width, Height); #PB_Any
   ExplorerList = ExplorerListGadget(id, 0, 0, Width, Height, Path, Flags)
   SetGadgetAttribute(id, #PB_Explorer_DisplayMode, Attribute)
CloseGadgetList()
SetParent_(GadgetID(id), hwnd)
HideGadget(tmp, 1)
ResizeGadget(id, 0, 0, Width, Height)
;    ExplorerList  
ProcedureReturn GadgetID(id)
EndProcedure

;      
ProcedureDLL Resize (id.i, Width, Height)
  ResizeGadget(id, 0, 0, Width, Height) 
EndProcedure

;    ExplorerTree
ProcedureDLL.s PathExplorerTree(id.i)
 Path.s = GetGadgetText(id)
 ProcedureReturn Path
EndProcedure

;    ExplorerList
ProcedureDLL.s PathExplorerList(id.i)
 Path.s = GetGadgetText(id)
 ProcedureReturn Path
EndProcedure

;     ExplorerList
ProcedureDLL SetPathExplorerList(id.i,Path.s)
 SetGadgetText(i, Path)
EndProcedure

;  ExplorerList
ProcedureDLL SetStyleGadgetExplorerList(id.i, Attribute.i)
  SetGadgetAttribute(id, #PB_Explorer_DisplayMode, Attribute)
EndProcedure





; IDE Options = PureBasic 4.30 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 60
; FirstLine = 23
; Folding = --
; Executable = Gadgets.dll
; DisableDebugger